#ifndef LEAN_TWEAK_BAR_GLFW3_H
#define LEAN_TWEAK_BAR_GLFW3_H

#include <GLFW/glfw3.h>

#ifdef __cplusplus
extern "C" {
#endif

int TwEventKeyGLFW3(GLFWwindow* window, int key, int scancode, int action, int mods);

int TwEventCharGLFW3(GLFWwindow* window, unsigned int codepoint);

int TwEventMousePosGLFW3(GLFWwindow* window, double xpos, double ypos);

int TwEventMouseButtonGLFW3(GLFWwindow* window, int button, int action, int mods);

int TwEventMouseWheelGLFW3(GLFWwindow* window, double xoffset, double yoffset);

void TwInitGLFW3(GLFWwindow* window);

#ifdef __cplusplus
}
#endif


#endif
